Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Sep 2018 21:53:04 +0300

>> Now I understand that it jumps to the most recently selected window,
>> but this logic is not obvious.  Then why not to the most recently
>> displayed window?
>
> The idea to automatically select a window that has never been selected
> before is not overly intuitive IMHO.

OTOH, the fact that the user not yet used that window could mean that
it's time to use it now, i.e. not less intuitive.

> The most recently displayed window might be the window that gets
> deleted and so we would have to either modify the semantics of
> 'window-use-time' (to optionally include the case that the window has
> been created without being selected) or add a new slot to the window
> structure and have 'delete-window' act accordingly if set.

Like we have buffer-display-time, maybe window-display-time is also
needed in addition to window-use-time.